
CoCoA-5 - Feature #993

New function: RingQQi()?  extension of QQ with imaginary unit

14 Dec 2016 11:40 - Anna Maria Bigatti

Status: In Progress Start date: 14 Dec 2016

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: CoCoA-5 function: new Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.00 hour

Description

It would be handy to have RingQQi() (or NewRingQQi()).

Very simple to do in CoCoA5 (in this case it has to be NewRingQQi()).

If implemented in CoCoALib we could make a unique copy (RingQQi()): certainly it would be handy, but is it worth the hassle?

If we decide to go for NewRingQQi() I can do it trivially (even in cocoalib).

Related issues:

Related to CoCoALib - Feature #627: Gaussian integer and rationals  ZZi, QQi New 22 Sep 2014

History

#1 - 14 Dec 2016 15:47 - John Abbott

- Related to Feature #627: Gaussian integer and rationals  ZZi, QQi added

#2 - 13 Nov 2017 15:05 - John Abbott

- Target version changed from CoCoA-5.2.2 to CoCoA-5.?.?
